{...}: let
  domain = "ebooks.sondell.org";
  port = 8083;
in {
  #
  services.calibre-web = {
    enable = true;
    listen.port = port;
    group = "backup";
    # dataDir = "/pool/media/ebooks";
    user = "jellyfin";
    options = {
      enableBookUploading = true;
      enableBookConversion = true;
      calibreLibrary = "/pool/media/ebooks";
    };
  };

  services.nginx.virtualHosts.${domain} = {
    forceSSL = true;
    enableACME = true;
    locations."/" = {
      proxyPass = "http://localhost:${toString port}/";
      proxyWebsockets = true;
    };
  };
}
